References for RhinoDoc


  • Command
    • Result RunCommand(RhinoDoc doc, RunMode mode)
  • CommandEventArgs
    • RhinoDoc Document
  • CustomUndoEventArgs
    • RhinoDoc Document
  • SelCommand
    • Result RunCommand(RhinoDoc doc, RunMode mode)
  • DisplayModeChangedEventArgs
    • RhinoDoc RhinoDoc
  • DisplayPipeline
    • DisplayMaterial SetupDisplayMaterial(RhinoDoc doc, RhinoObject rhinoObject, ObjectAttributes attributes, Transform instanceTransform)
    • DisplayMaterial SetupDisplayMaterial(RhinoDoc doc, RhinoObject rhinoObject, ObjectAttributes attributes)
    • DisplayMaterial SetupDisplayMaterial(RhinoDoc doc, RhinoObject rhinoObject)
  • DrawEventArgs
    • RhinoDoc RhinoDoc
  • PageViewPropertiesChangeEventArgs
    • RhinoDoc Document
  • RhinoView
    • RhinoDoc Document
  • ViewCaptureSettings
    • RhinoDoc Document
  • ViewEnableDrawingEventArgs
    • RhinoDoc Document
  • VisualAnalysisMode
    • bool AdjustAnalysisMeshes(RhinoDoc doc, System.Guid analysisModeId)
  • ObjectAttributes
    • System.Drawing.Color ComputedPlotColor(RhinoDoc document, System.Guid viewportId)
    • System.Drawing.Color ComputedPlotColor(RhinoDoc document)
    • double ComputedPlotWeight(RhinoDoc document, System.Guid viewportId)
    • double ComputedPlotWeight(RhinoDoc document)
    • System.Drawing.Color DrawColor(RhinoDoc document, System.Guid viewportId)
    • System.Drawing.Color DrawColor(RhinoDoc document)
  • ObjRef
    • ObjRef(RhinoDoc doc, Guid id, ComponentIndex ci)
    • ObjRef(RhinoDoc doc, Guid id)
    • RhinoDoc Document
  • ReplayHistoryData
    • RhinoDoc Document
  • RhinoDeselectAllObjectsEventArgs
    • RhinoDoc Document
  • RhinoModifyObjectAttributesEventArgs
    • RhinoDoc Document
  • RhinoObject
    • RhinoDoc Document
    • void OnAddToDocument(RhinoDoc doc)
    • void OnDeleteFromDocument(RhinoDoc doc)
  • RhinoObjectSelectionEventArgs
    • RhinoDoc Document
  • RhinoReplaceObjectEventArgs
    • RhinoDoc Document
  • SnapShotsClient
    • bool AnimateDocument(RhinoDoc doc, double dPos, BinaryArchiveReader archive_start, BinaryArchiveReader archive_stop)
    • bool AnimateObject(RhinoDoc doc, Rhino.DocObjects.RhinoObject doc_object, ref Rhino.Geometry.Transform transform, double dPos, BinaryArchiveReader archive_start, BinaryArchiveReader archive_stop)
    • void AnimationStart(RhinoDoc doc, int iFrames)
    • bool AnimationStop(RhinoDoc doc)
    • void ExtendBoundingBoxForDocumentAnimation(RhinoDoc doc, BinaryArchiveReader archive_start, BinaryArchiveReader archive_stop, ref Rhino.Geometry.BoundingBox bbox)
    • void ExtendBoundingBoxForObjectAnimation(RhinoDoc doc, Rhino.DocObjects.RhinoObject doc_object, ref Rhino.Geometry.Transform transform, BinaryArchiveReader archive_start, BinaryArchiveReader archive_stop, ref Rhino.Geometry.BoundingBox bbox)
    • bool IsCurrentModelStateInAnySnapshot(RhinoDoc doc, BinaryArchiveReader archive, SimpleArrayBinaryArchiveReader archive_array, TextLog text_log)
    • bool IsCurrentModelStateInAnySnapshot(RhinoDoc doc, Rhino.DocObjects.RhinoObject doc_object, BinaryArchiveReader archive, SimpleArrayBinaryArchiveReader archive_array, TextLog text_log)
    • bool ObjectTransformNotification(RhinoDoc doc, Rhino.DocObjects.RhinoObject doc_object, ref Rhino.Geometry.Transform transform, BinaryArchiveReader archive)
    • bool PrepareForDocumentAnimation(RhinoDoc doc, BinaryArchiveReader archive_start, BinaryArchiveReader archive_stop)
    • bool PrepareForObjectAnimation(RhinoDoc doc, Rhino.DocObjects.RhinoObject doc_object, ref Rhino.Geometry.Transform transform, BinaryArchiveReader archive_start, BinaryArchiveReader archive_stop)
    • bool RestoreDocument(RhinoDoc doc, BinaryArchiveReader archive)
    • bool RestoreObject(RhinoDoc doc, Rhino.DocObjects.RhinoObject doc_object, ref Rhino.Geometry.Transform transform, BinaryArchiveReader archive)
    • bool SaveDocument(RhinoDoc doc, BinaryArchiveWriter archive)
    • bool SaveObject(RhinoDoc doc, Rhino.DocObjects.RhinoObject doc_object, ref Rhino.Geometry.Transform transform, BinaryArchiveWriter archive)
    • void SnapshotRestored(RhinoDoc doc)
  • DimStyleTableEventArgs
    • RhinoDoc Document
  • FontTable
    • RhinoDoc Document
  • GroupTableEventArgs
    • RhinoDoc Document
  • HatchPatternTableEventArgs
    • RhinoDoc Document
  • InstanceDefinitionTable
    • RhinoDoc Document
  • InstanceDefinitionTableEventArgs
    • RhinoDoc Document
  • LayerTable
    • RhinoDoc Document
  • LayerTableEventArgs
    • RhinoDoc Document
  • LightTable
    • RhinoDoc Document
  • LightTableEventArgs
    • RhinoDoc Document
  • LinetypeTable
    • RhinoDoc Document
  • LinetypeTableEventArgs
    • RhinoDoc Document
  • MaterialTableEventArgs
    • RhinoDoc Document
  • NamedConstructionPlaneTable
    • RhinoDoc Document
  • NamedLayerStateTable
    • RhinoDoc Document
  • NamedPositionTable
    • RhinoDoc Document
  • NamedViewTable
    • RhinoDoc Document
  • ObjectTable
    • RhinoDoc Document
  • RhinoDocCommonTable<T>
    • RhinoDoc Document
  • RuntimeDocumentDataTable
    • RhinoDoc Document
  • SnapshotTable
    • RhinoDoc Document
  • StringTable
    • RhinoDoc Document
  • ViewTable
    • RhinoDoc Document
  • Worksession
    • RhinoDoc Document
  • DocumentEventArgs
    • RhinoDoc Document
  • FileWriteOptions
    • RhinoDoc RhinoDoc
  • AnnotationBase
    • double GetDimensionScale(RhinoDoc doc, DimensionStyle dimstyle, Rhino.Display.RhinoViewport vport)
  • Mesh
    • bool CreateVertexColorsFromBitmap(RhinoDoc doc, TextureMapping mapping, Transform xform, System.Drawing.Bitmap bitmap)
  • MeshingParameters
    • MeshingParameters DocumentCurrentSetting(RhinoDoc doc)
  • GetObject
    • GetObject ActiveGetObject(RhinoDoc doc)
  • TaskCompleteEventArgs
    • RhinoDoc Doc
  • RhinoGet
    • Result GetMeshParameters(RhinoDoc doc, ref MeshingParameters parameters, ref int uiStyle)
    • Result GetPointOnMesh(RhinoDoc doc, MeshObject meshObject, string prompt, bool acceptNothing, out Point3d point)
    • Result GetPointOnMesh(RhinoDoc doc, System.Guid meshObjectId, string prompt, bool acceptNothing, out Point3d point)
    • bool InGet(RhinoDoc doc)
    • bool InGetObject(RhinoDoc doc)
    • bool InGetPoint(RhinoDoc doc)
  • PlugIn
    • void DocumentPropertiesDialogPages(RhinoDoc doc, List<OptionsDialogPage> pages)
    • void ReadDocument(RhinoDoc doc, FileIO.BinaryArchiveReader archive, FileIO.FileReadOptions options)
    • void WriteDocument(RhinoDoc doc, FileIO.BinaryArchiveWriter archive, FileIO.FileWriteOptions options)
  • PlugIn.UnknownUserDataEventArgs
    • RhinoDoc Document
  • RenderPlugIn
    • bool EnableEditMaterialButton(RhinoDoc doc, DocObjects.Material material)
    • Commands.Result Render(RhinoDoc doc, Commands.RunMode mode, bool fastPreview)
    • OptionsDialogPage RenderOptionsDialogPage(RhinoDoc doc)
    • Commands.Result RenderWindow(RhinoDoc doc, Commands.RunMode modes, bool fastPreview, Display.RhinoView view, Rectangle rect, bool inWindow, bool blowup)
    • Commands.Result RenderWindow(RhinoDoc doc, Commands.RunMode modes, bool fastPreview, Display.RhinoView view, Rectangle rect, bool inWindow)
  • ContentUndoHelper
    • ContentUndoHelper(RhinoDoc doc, String description)
    • ContentUndoHelper(RhinoDoc doc)
  • RenderMeshes
    • RenderMeshes(RhinoDoc doc, Guid objectId, Guid renderMeshProviderId, uint runningHash, uint flags)
    • RenderMeshes(RhinoDoc doc, Guid objectId, Guid renderMeshProviderId, uint runningHash)
    • RhinoDoc Document
  • RenderMeshProvider
    • RenderMeshProviderProgress[] ProgressForAll(RhinoDoc doc, System.Guid[] optional_objectIds)
    • object GetParameter(RhinoDoc doc, System.Guid objectId, System.String parameterName)
    • RenderMeshProviderProgress Progress(RhinoDoc doc, System.Guid[] optional_objectIds)
    • void SetParameter(RhinoDoc doc, System.Guid objectId, System.String parameterName, object value)
  • CustomRenderMeshProvider
    • void AllObjectsChanged(RhinoDoc doc)
    • void DocumentBasedMeshesChanged(RhinoDoc doc)
    • void ObjectChanged(RhinoDoc doc, RhinoObject obj)
  • LightManagerSupport
    • bool DeleteLight(RhinoDoc doc, Rhino.Geometry.Light light, bool bUndelete)
    • void GetLights(RhinoDoc doc, ref LightArray light_array)
    • bool GetLightSolo(RhinoDoc doc, System.Guid uuid_light)
    • void GroupLights(RhinoDoc doc, ref LightArray light_array)
    • string LightDescription(RhinoDoc doc, ref Rhino.Geometry.Light light)
    • bool LightFromId(RhinoDoc doc, System.Guid uuid, ref Rhino.Geometry.Light light)
    • int LightsInSoloStorage(RhinoDoc doc)
    • void ModifyLight(RhinoDoc doc, Rhino.Geometry.Light light)
    • int ObjectSerialNumberFromLight(RhinoDoc doc, ref Rhino.Geometry.Light light)
    • void OnCustomLightEvent(RhinoDoc doc, LightMangerSupportCustomEvent le, ref Rhino.Geometry.Light light)
    • bool OnEditLight(RhinoDoc doc, ref LightArray light_array)
    • bool SetLightSolo(RhinoDoc doc, System.Guid uuid_light, bool bSolo)
    • void UnGroup(RhinoDoc doc, ref LightArray light_array)
  • PostEffect
    • bool ReadFromDocumentDefaults(RhinoDoc doc)
    • bool WriteToDocumentDefaults(RhinoDoc doc)
  • RealtimeDisplayMode
    • void CreateWorld(RhinoDoc doc, ViewInfo viewInfo, DisplayPipelineAttributes displayPipelineAttributes)
  • RenderContent
    • RhinoDoc Document
    • RhinoDoc DocumentAssoc
    • RhinoDoc DocumentOwner
    • RhinoDoc DocumentRegistered
    • bool AddPersistentRenderContent(RhinoDoc document, RenderContent renderContent)
    • RenderContent Create(RhinoDoc doc, System.Guid type, RenderContent parent, string childSlotName)
    • RenderContent Create(RhinoDoc doc, System.Guid type)
    • RenderContent Create(RhinoDoc doc, System.Type type, RenderContent parent, string childSlotName)
    • RenderContent Create(RhinoDoc doc, System.Type type)
    • RenderContent FromId(RhinoDoc document, System.Guid id)
    • bool ShowContentInstanceBrowser(RhinoDoc doc, ref System.Guid instance_id, RenderContentKind kinds, ContentInstanceBrowserButtons buttons)
  • RenderContentEventArgs
    • RhinoDoc Document
  • RenderContentSerializer
    • bool LoadMultiple(RhinoDoc doc, IEnumerable<string> fileNames, RenderContentKind contentKind, LoadMultipleFlags flags)
  • RenderMaterial
    • bool ImportMaterialAndAssignToLayers(RhinoDoc doc, string file, IEnumerable<int> layer_indices)
  • RenderPipeline
    • RenderPipeline(RhinoDoc doc, RunMode mode, PlugIn plugin, Size sizeRendering, string caption, StandardChannels channels, bool reuseRenderWindow, bool clearLastRendering, AsyncRenderContext aRC)
    • RenderPipeline(RhinoDoc doc, RunMode mode, PlugIn plugin, Size sizeRendering, string caption, StandardChannels channels, bool reuseRenderWindow, bool clearLastRendering)
    • Size RenderSize(RhinoDoc doc, bool fromRenderSources)
    • Size RenderSize(RhinoDoc doc)
  • RenderPropertyChangedEvent
    • RhinoDoc Document
  • RenderSourceView
    • RenderSourceView(RhinoDoc doc)
  • RenderWindow
    • bool AddWireframeChannel(RhinoDoc doc, DocObjects.ViewportInfo viewport, System.Drawing.Size size, System.Drawing.Rectangle region)
  • SafeFrame
    • SafeFrame(RhinoDoc doc)
  • SimulatedTexture
    • SimulatedTexture(RhinoDoc doc, Texture texture)
    • SimulatedTexture(RhinoDoc doc)
    • double MetersToUnits(RhinoDoc doc, double units)
    • double UnitsToMeters(RhinoDoc doc, double units)
  • Utilities
    • string FindFile(RhinoDoc doc, string fullPathToFile, bool unpackFromBitmapTableIfNecessary)
    • string FindFile(RhinoDoc doc, string fullPathToFile)
    • string GetUnpackedFilesCacheFolder(RhinoDoc doc, bool create)
    • bool SafeFrameEnabled(RhinoDoc doc)
    • ShowContentChooserResults ShowContentChooser(RhinoDoc doc, System.Guid defaultType, System.Guid defaultInstanceId, RenderContentKind kinds, ContentChooserFlags flags, string presetCategory, IEnumerable<string> categories, IEnumerable<Guid> types, out System.Guid[] instanceIdsOut)
    • ShowContentChooserResults ShowContentChooser(RhinoDoc doc, System.Guid defaultType, System.Guid defaultInstanceId, RenderContentKind kinds, ShowContentChooserFlags flags, string presetCategory, IEnumerable<string> categories, IEnumerable<Guid> types, out System.Guid[] instanceIdsOut)
  • RhinoApp
    • Commands.Result ExecuteCommand(RhinoDoc document, string commandName)
    • void SetFocusToMainWindow(RhinoDoc doc)
  • RhinoDoc
    • RhinoDoc ActiveDoc
    • RhinoDoc Create(string modelTemplateFileName)
    • RhinoDoc CreateHeadless(string file3dmTemplatePath)
    • RhinoDoc FromFilePath(string filePath)
    • RhinoDoc FromId(int docId)
    • RhinoDoc FromRuntimeSerialNumber(uint serialNumber)
    • RhinoDoc Open(string filePath, out bool wasAlreadyOpen)
    • RhinoDoc OpenHeadless(string file3dmPath)
  • RhinoDoc.RenderContentTableEventArgs
    • RhinoDoc Document
  • RhinoDoc.TextureMappingEventArgs
    • RhinoDoc Document
  • RhinoDoc.UserStringChangedArgs
    • RhinoDoc Document
  • RhinoDocObserverArgs
    • RhinoDocObserverArgs(RhinoDoc doc)
    • RhinoDoc Doc
  • Interop
    • System.IntPtr NativeRhinoDocPointer(RhinoDoc doc)
  • ClassArrayOnObjRef
    • DocObjects.ObjRef[] ToNonConstArray(RhinoDoc doc)
  • Dialogs
    • bool ShowLayerMaterialDialog(RhinoDoc doc, IEnumerable<int> layerIndices)
  • DrawingUtilities
    • Bitmap CreateMeshPreviewImage(RhinoDoc doc, IEnumerable<Mesh> meshes, IEnumerable<Color> colors, Size size)
  • ObjectPropertiesPage
    • Commands.Result RunScript(RhinoDoc doc, RhinoObject[] objectList)
  • ObjectPropertiesPageCollection
    • RhinoDoc Document
  • ObjectPropertiesPageEventArgs
    • RhinoDoc Document
  • OptionsDialogPage
    • Commands.Result RunScript(RhinoDoc doc, Commands.RunMode mode)
  • PanelEventArgs
    • RhinoDoc Document
  • Panels
    • T GetPanel(RhinoDoc rhinoDoc)
    • T[] GetPanels(RhinoDoc doc)
  • UnitsChangedWithScalingEventArgs
    • RhinoDoc Document
Nothing found